# Deprecated. Update Event (deprecated)

**This endpoint is deprecated.** Use `PUT /v2/locations/{location_id}/events/{event_id}` instead.
**Migration:** The V2 Events API provides enhanced validation and JSON:API formatted responses. See operation `update_event` for details.

Endpoint: PUT /activity/{location_id}/{event_id}
Version: 1.0.0
Security: BearerPartnerUser

## Path parameters:

  - `location_id` (number, required)
    location ID

  - `event_id` (integer, required)
    Event ID

## Header parameters:

  - `Accept` (string, required)
    application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Request fields (application/json):

  - `date` (string, required)
    date and time

  - `service_id` (number, required)
    Service ID

  - `staff_id` (number, required)
    team member ID

  - `capacity` (number, required)
    Capacity

  - `resource_instance_ids` (array)
    Array of resource instance IDs

  - `force` (boolean, required)
    Ignore errors (busy team member/resources, etc.)

  - `length` (number)
    Event duration in seconds

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (object)
    Object with data

  - `data.id` (number)
    Event ID

  - `data.salon_id` (number)
    Location ID (deprecated, use company_id)

  - `data.company_id` (number)
    Location ID

  - `data.service_id` (number)
    Service ID

  - `data.staff_id` (number)
    team member ID

  - `data.date` (string)
    Event date and time

  - `data.timestamp` (number)
    Unix timestamp of Event date

  - `data.length` (number)
    Event duration in seconds

  - `data.capacity` (number)
    Capacity

  - `data.records_count` (number)
    Number of Appointments in this Event

  - `data.color` (string)
    Event color

  - `data.font_color` (string)
    Font color

  - `data.instructions` (string)
    Event instructions

  - `data.stream_link` (string)
    Stream link for online events

  - `data.notified` (boolean)
    Whether notifications have been sent

  - `data.comment` (string | null)
    Event comment

  - `data.prepaid` (string)
    Prepayment status (forbidden, optional, required)

  - `data.is_deleted` (boolean)
    Whether Event is deleted

  - `data.duration_details` (object)
    Event duration details

  - `data.duration_details.id` (number)
    Duration detail ID

  - `data.duration_details.services_duration` (number)
    Services duration in seconds

  - `data.duration_details.technical_break_duration` (number)
    Technical break duration in seconds

  - `data.service` (object)
    Service

  - `data.service.id` (number)
    Service ID

  - `data.service.title` (string)
    Service name

  - `data.service.category_id` (number)
    Service category identifier

  - `data.staff` (object)
    team member

  - `data.staff.id` (number)
    team member ID

  - `data.staff.name` (string)
    team member name

  - `data.staff.company_id` (number)
    Location ID

  - `data.resource_instances` (array)
    Resource instances

  - `data.resource_instances.id` (number)
    Resource instance ID

  - `data.resource_instances.title` (string)
    Resource instance name

  - `data.resource_instances.resource_id` (number)
    Resource ID

  - `data.labels` (array)
    Event tags

  - `meta` (array)
    Metadata (empty array)

## Response 400 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: An error has occurred.

  - `meta.errors` (array)
    Set of a validation error messages.

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

## Response 422 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: An error has occurred.

  - `meta.errors` (array)
    Set of a validation error messages.

